Bug 178515 - xhwstate.py and mouse.py exception Iteration over non sequence
xhwstate.py and mouse.py exception Iteration over non sequence
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rhpxl (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-20 23:23 EST by Jasper O. Hartline
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-30 09:39:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda Log File (6.63 KB, text/plain)
2006-01-20 23:28 EST, Jasper O. Hartline
no flags Details
Anaconda Dump File (61.21 KB, text/plain)
2006-01-20 23:29 EST, Jasper O. Hartline
no flags Details

  None (edit)
Description Jasper O. Hartline 2006-01-20 23:23:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Fedora/1.7.12-1.5.1

Description of problem:
Running Anaconda from Kadischi on a Fedora Core test platform (FC5t2)
installs all packages to the rootpath, and dies druing generate_xconfig()
Here is the bulk of the exception.
I'll attach a log below also.
----------------------------------------------------------------------
File "/usr/lib/python2.4/site-packages/rhpxl/xserver.py", line 336, in writeXConfig
    xcfgdata = hwstate.generate_xconfig(mouse, keyboard)
  File "/usr/lib/python2.4/site-packages/rhpxl/xhwstate.py", line 771, in generate_xconfig
    for mouse in mouse.getAllProbed():
TypeError: iteration over non-sequence
----------------------------------------------------------------------
The log will be attached below.

Version-Release number of selected component (if applicable):
rhpxl-0.11-1

How reproducible:
Always

Steps to Reproduce:
1. Run Anaconda from Kadischi
2. Watch all packages selected install, OK.
3. Fatal Exception occurs.
  

Actual Results:  Exception in mouse.getAllProbed()
Anaconda exists with code (9).

Expected Results:  Anaconda should finish doing it's thing during X (pre)configuration.


Additional info:

No additional information at this time.
Comment 1 Jasper O. Hartline 2006-01-20 23:28:41 EST
Created attachment 123518 [details]
Anaconda Log File
Comment 2 Jasper O. Hartline 2006-01-20 23:29:07 EST
Created attachment 123519 [details]
Anaconda Dump File
Comment 3 Chris Lumens 2006-01-24 16:33:25 EST
Please test again with Rawhide.  I made a rhpxl patch that may fix this, though
it's difficult to tell from the execption dump whether I'm right or not.
Comment 4 Jasper O. Hartline 2006-01-28 00:21:00 EST
Looks good partna.
Retest shows no exceptions from Anaconda or Python
this allows Kadischi to finish with Anaconda and operate normally.
(rhpxl-0.12-1)

Thanks.

Note You need to log in before you can comment on or make changes to this bug.